Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.jpd
Enum RosettaNet.PROTOCOL

    java.lang.Object
      java.lang.Enum<RosettaNet.PROTOCOL>
          com.bea.wli.jpd.RosettaNet.PROTOCOL

All Implemented Interfaces:
  Serializable, Comparable<RosettaNet.PROTOCOL>

Enclosing class:
  RosettaNet

    public static enum RosettaNet.PROTOCOL

extends Enum<RosettaNet.PROTOCOL>

This enum specify the values that can be legal for RN Protocol name. At present this must be rosettanet only.

Enum Constant Summary
`ROSETTANET`

Method Summary
`static RosettaNet.PROTOCOL` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RosettaNet.PROTOCOL[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROSETTANET

    public static final RosettaNet.PROTOCOL ROSETTANET

Method Detail

### values

    public static final RosettaNet.PROTOCOL[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RosettaNet.PROTOCOL c : RosettaNet.PROTOCOL.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RosettaNet.PROTOCOL valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD